public final class GoogleTokenProvider extends SynchronousProvider implements AuthenticationProvider, OutboundSecurityProvider
Authorization: bearer abcdefg_google_id_token_from_login_button_callback.
Configure login button as described here:
https://developers.google.com/identity/sign-in/web/sign-in
See google-login example.| Modifier and Type | Class and Description |
|---|---|
static class |
GoogleTokenProvider.Builder
Fluent API builder to build
GoogleTokenProvider instance. |
| Modifier and Type | Method and Description |
|---|---|
static GoogleTokenProvider.Builder |
builder()
Fluent API builder to build
GoogleTokenProvider instance. |
static GoogleTokenProvider |
create(Config config)
Create an instance from configuration.
|
boolean |
isOutboundSupported(ProviderRequest providerRequest,
SecurityEnvironment outboundEnv,
EndpointConfig outboundConfig)
Check if the path to be executed is supported by this security provider.
|
protected AuthenticationResponse |
syncAuthenticate(ProviderRequest providerRequest)
Synchronous authentication.
|
protected OutboundSecurityResponse |
syncOutbound(ProviderRequest providerRequest,
SecurityEnvironment outboundEnv,
EndpointConfig outboundEndpointConfig)
Synchronous outbound security.
|
authenticate, authorize, outboundSecurity, syncAuthorizeclone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitauthenticateoutboundSecuritysupportedAnnotations, supportedAttributes, supportedConfigKeys, supportedCustomObjectspublic static GoogleTokenProvider create(Config config)
config - Configuration located on the provider's keypublic static GoogleTokenProvider.Builder builder()
GoogleTokenProvider instance.protected AuthenticationResponse syncAuthenticate(ProviderRequest providerRequest)
SynchronousProvidersyncAuthenticate in class SynchronousProviderproviderRequest - context with environment, subject(s) etc.AuthenticationProvider.authenticate(ProviderRequest)public boolean isOutboundSupported(ProviderRequest providerRequest, SecurityEnvironment outboundEnv, EndpointConfig outboundConfig)
OutboundSecurityProviderisOutboundSupported in interface OutboundSecurityProviderproviderRequest - context with environment, subject(s) etc. that was receivedoutboundEnv - environment for outbound calloutboundConfig - outbound endpoint configurationprotected OutboundSecurityResponse syncOutbound(ProviderRequest providerRequest, SecurityEnvironment outboundEnv, EndpointConfig outboundEndpointConfig)
SynchronousProvidersyncOutbound in class SynchronousProviderproviderRequest - context with environment, subject(s) etc.outboundEnv - environment of this outbound calloutboundEndpointConfig - endpoint config for outbound callOutboundSecurityProvider.outboundSecurity(ProviderRequest, SecurityEnvironment, EndpointConfig),
OutboundSecurityProvider.isOutboundSupported(ProviderRequest, SecurityEnvironment, EndpointConfig)Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.